### Hierarchy

- PerspectiveProjection

## Index

### Constructors

- constructor

### Properties

- fieldOfView
- focalLength
- matrix3D
- projectionCenter
- TO_RADIAN

### Methods

- set_fieldOfView
- toMatrix3D

## Constructors

### constructor

- new PerspectiveProjection(): PerspectiveProjection

- - Defined in lib/openfl/geom/PerspectiveProjection.d.ts:4

  #### Returns PerspectiveProjection

## Properties

### fieldOfView

fieldOfView: any

- Defined in lib/openfl/geom/PerspectiveProjection.d.ts:7

### focalLength

focalLength: any

- Defined in lib/openfl/geom/PerspectiveProjection.d.ts:8

### matrix3D

matrix3D: any

- Defined in lib/openfl/geom/PerspectiveProjection.d.ts:10

### projectionCenter

projectionCenter: any

- Defined in lib/openfl/geom/PerspectiveProjection.d.ts:9

### Static TO_RADIAN

TO_RADIAN: any

- Defined in lib/openfl/geom/PerspectiveProjection.d.ts:13

## Methods

### set_fieldOfView

- set_fieldOfView(fieldOfView: any): any

- - Defined in lib/openfl/geom/PerspectiveProjection.d.ts:12

  #### Parameters

  - ##### fieldOfView: any

  #### Returns any

### toMatrix3D

- toMatrix3D(): any

- - Defined in lib/openfl/geom/PerspectiveProjection.d.ts:11

  #### Returns any

Generated using TypeDoc